Finding I/O objects(3)

NAME
Finding I/O objects -

  Functions
static hwloc_obj_t hwloc_get_non_io_ancestor_obj (hwloc_topology_t topology, hwloc_obj_t ioobj)
static hwloc_obj_t hwloc_get_next_pcidev (hwloc_topology_t topology, hwloc_obj_t prev)
static hwloc_obj_t hwloc_get_pcidev_by_busid (hwloc_topology_t topology, unsigned domain, unsigned bus, unsigned dev, unsigned func)
static hwloc_obj_t hwloc_get_pcidev_by_busidstring (hwloc_topology_t topology, const char *busid)
static hwloc_obj_t hwloc_get_next_osdev (hwloc_topology_t topology, hwloc_obj_t prev)
static hwloc_obj_t hwloc_get_next_bridge (hwloc_topology_t topology, hwloc_obj_t prev)
static int hwloc_bridge_covers_pcibus (hwloc_obj_t bridge, unsigned domain, unsigned bus)
static hwloc_obj_t hwloc_get_hostbridge_by_pcibus (hwloc_topology_t topology, unsigned domain, unsigned bus)

Detailed Description

Function Documentation

  static int hwloc_bridge_covers_pcibus (hwloc_obj_tbridge, unsigneddomain, unsignedbus) [inline], [static]

  static hwloc_obj_t hwloc_get_hostbridge_by_pcibus (hwloc_topology_ttopology, unsigneddomain, unsignedbus) [inline], [static]

Find the hostbridge that covers the given PCI bus. This is useful for finding the locality of a bus because it is the hostbridge parent cpuset.

  static hwloc_obj_t hwloc_get_next_bridge (hwloc_topology_ttopology, hwloc_obj_tprev) [inline], [static]

Get the next bridge in the system.

Returns:
    the first bridge if prev is NULL.

  static hwloc_obj_t hwloc_get_next_osdev (hwloc_topology_ttopology, hwloc_obj_tprev) [inline], [static]

Get the next OS device in the system.

Returns:
    the first OS device if prev is NULL.

  static hwloc_obj_t hwloc_get_next_pcidev (hwloc_topology_ttopology, hwloc_obj_tprev) [inline], [static]

Get the next PCI device in the system.

Returns:
    the first PCI device if prev is NULL.

  static hwloc_obj_t hwloc_get_non_io_ancestor_obj (hwloc_topology_ttopology, hwloc_obj_tioobj) [inline], [static]

Get the first non-I/O ancestor object. Given the I/O object ioobj, find the smallest non-I/O ancestor object. This regular object may then be used for binding because its locality is the same as ioobj.

  static hwloc_obj_t hwloc_get_pcidev_by_busid (hwloc_topology_ttopology, unsigneddomain, unsignedbus, unsigneddev, unsignedfunc) [inline], [static]

Find the PCI device object matching the PCI bus id given domain, bus device and function PCI bus id.

  static hwloc_obj_t hwloc_get_pcidev_by_busidstring (hwloc_topology_ttopology, const char *busid) [inline], [static]

Find the PCI device object matching the PCI bus id given as a string xxxx:yy:zz.t or yy:zz.t.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.